<%@ page import="java.io.StringWriter" %>
<%@ page import="java.io.PrintWriter" %>
<%@ page import="javax.portlet.PortletSession" %>

<c:if test="${renderException != null}">
    <% 
        Throwable t = (Throwable)pageContext.getAttribute("renderException");
        StringWriter st = new StringWriter();
        PrintWriter pw = new PrintWriter(st);
        t.printStackTrace(pw);
        portletConfig.getPortletContext().log("exception occured in jsp", t);
    %>
    <div class="portlet-msg-error" style="color: red">
        <fmt:message key="renderException"/>
        <div style="font-size: smaller">            
            <pre><%= t.getMessage() %></pre>
        </div>
    </div>
    <!--
    <%= st %>
    -->       
    <br/>
    <portlet:actionURL var="continueAction">
        <portlet:param name="action" value="navigate-back"/>
    </portlet:actionURL>
    <a href="${pageScope['continueAction']}">
        <fmt:message key="continue"/>        
    </a>  

</c:if>
