<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<portlet:defineObjects/>
<portlet:actionURL var="action"/>

<fmt:setBundle basename="setUserName" scope="request"/>    

<jsp:include page="/WEB-INF/jsp/css.jsp"/>
<%@ include file="processActionException.jsp" %>

 <%@ include file="setBeans.jsp" %>    
 
<c:if test="${renderException == null}">       
    <form action="<%= action%>" method="post">
        <input type="hidden" name="action" value="set-user-name"/>
        <table>
            <tr>
                <td>
                    <fmt:message key="enterUserName"/>
                </td>
                <td>
                    <input type="text" name="userNameInputText" value="${prefsBean.userName}"/>
                </td>
            </tr>
        </table>
        <table>
            <tr>
                <td>
                    <input type="submit" name="submit" value="<fmt:message key="finished"/>"/>
                </td>
                <td>
                    <input type="submit" name="cancel" value="<fmt:message key="cancel"/>"/>
                </td>
            </tr>
        </table>        
    </form>
</c:if>
