<%@page contentType="text/html"%>
<%@page pageEncoding="UTF-8"%>

<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<portlet:defineObjects/>

<div id="<portlet:namespace/>-tabs">
    <ul id="<portlet:namespace/>-tablist">
        <portlet:actionURL var="myPageAction">
            <portlet:param name="action" value="navigate-my"/>
        </portlet:actionURL>                
        <c:choose>
            <c:when test="${pageHandler.myPage}">
                <a id="<portlet:namespace/>-selected" href="<c:out value="${pageScope['myPageAction']}"/>">My Photos</a>
            </c:when>
            <c:otherwise>
                <a href="<c:out value="${pageScope['myPageAction']}"/>">My Photos</a>
            </c:otherwise>
        </c:choose>
        <portlet:actionURL var="contactsPageAction">
            <portlet:param name="action" value="navigate-contacts"/>
        </portlet:actionURL>                
        <c:choose>
            <c:when test="${pageHandler.contactsPage}">
                <a id="<portlet:namespace/>-selected" href="<c:out value="${pageScope['contactsPageAction']}"/>">Contacts Photos</a>
            </c:when>
            <c:otherwise>
                <a href="<c:out value="${pageScope['contactsPageAction']}"/>">Contacts Photos</a>
            </c:otherwise>
        </c:choose>
        <portlet:actionURL var="searchPageAction">
            <portlet:param name="action" value="navigate-search"/>
        </portlet:actionURL>                
        <c:choose>
            <c:when test="${pageHandler.searchPage}">
                <a id="<portlet:namespace/>-selected" href="<c:out value="${pageScope['searchPageAction']}"/>">Search Photos</a>
            </c:when>
            <c:otherwise>
                <a href="<c:out value="${pageScope['searchPageAction']}"/>">Search Photos</a>
            </c:otherwise>
        </c:choose>
    </ul>
</div>
